### Hierarchy

- Core
  - Contract
  - Personal
  - CS
  - Net
  - ChainStack

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- provider
- providers
- requestManager
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- setProvider

## Constructors

### constructor

- new Core(provider: any, net?: any): Core

- - Defined in core/index.ts:13

  #### Parameters

  - ##### provider: any

  - ##### Optional net: any

  #### Returns Core

## Properties

### BatchRequest

BatchRequest: BatchManager

- Defined in core/index.ts:13

### provider

provider: Provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

- Defined in core/index.ts:12

### Static providers

providers: ProvidersInterface = RequestManager.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- - Defined in core/index.ts:28

  #### Returns any

- - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- - Defined in core/index.ts:36

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

Generated using TypeDoc